curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/analyseSettings \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"allowAutomaticPostAnalysis": true,
"analyzeByLanguage": true,
"analyzeByProvider": true,
"countSourceUnits": true,
"includeConfirmedSegments": true,
"includeFuzzyRepetitions": true,
"includeLockedSegments": true,
"includeMachineTranslationMatches": true,
"includeNonTranslatables": true,
"includeNotConfirmedSegments": true,
"includeNumbers": true,
"includeTransMemory": true,
"machineTranslatePostEditing": true,
"namingPattern": "<string>",
"nonTranslatablePostEditing": true,
"separateFuzzyRepetitions": true,
"skipMtScoreThreshold": 123,
"transMemoryPostEditing": true
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/analyseSettings"
payload = {
"allowAutomaticPostAnalysis": True,
"analyzeByLanguage": True,
"analyzeByProvider": True,
"countSourceUnits": True,
"includeConfirmedSegments": True,
"includeFuzzyRepetitions": True,
"includeLockedSegments": True,
"includeMachineTranslationMatches": True,
"includeNonTranslatables": True,
"includeNotConfirmedSegments": True,
"includeNumbers": True,
"includeTransMemory": True,
"machineTranslatePostEditing": True,
"namingPattern": "<string>",
"nonTranslatablePostEditing": True,
"separateFuzzyRepetitions": True,
"skipMtScoreThreshold": 123,
"transMemoryPostEditing": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowAutomaticPostAnalysis: true,
analyzeByLanguage: true,
analyzeByProvider: true,
countSourceUnits: true,
includeConfirmedSegments: true,
includeFuzzyRepetitions: true,
includeLockedSegments: true,
includeMachineTranslationMatches: true,
includeNonTranslatables: true,
includeNotConfirmedSegments: true,
includeNumbers: true,
includeTransMemory: true,
machineTranslatePostEditing: true,
namingPattern: '<string>',
nonTranslatablePostEditing: true,
separateFuzzyRepetitions: true,
skipMtScoreThreshold: 123,
transMemoryPostEditing: true
})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/analyseSettings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowAutomaticPostAnalysis": true,
"analyzeByLanguage": true,
"analyzeByProvider": true,
"countSourceUnits": true,
"includeConfirmedSegments": true,
"includeFuzzyRepetitions": true,
"includeLockedSegments": true,
"includeMachineTranslationMatches": true,
"includeNonTranslatables": true,
"includeNotConfirmedSegments": true,
"includeNumbers": true,
"includeTransMemory": true,
"machineTranslatePostEditing": true,
"namingPattern": "<string>",
"nonTranslatablePostEditing": true,
"separateFuzzyRepetitions": true,
"skipMtScoreThreshold": 123,
"transMemoryPostEditing": true
}Edit analyse settings
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the project
Body
Analyse settings to apply
PreAnalyse, PostAnalyse, PreAnalyseTarget, Compare If automatic post analysis should be created after update source. Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Used only for Default analysis. Threshold above which the MT suggestions are not used. Default: value from PreTranslate settings
Default: false
Response
OK
PreAnalyse, PostAnalyse, PreAnalyseTarget, Compare If automatic post analysis should be created after update source. Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Default: false
Used only for Default analysis. Threshold above which the MT suggestions are not used. Default: value from PreTranslate settings
Default: false
Was this page helpful?